using System;

namespace kv2_z2
{
    class Program
    {
        static double izracunajz(fl[] a, long x, long y)
        {
            double uz = 0;
            for (long i = 0; i < y; i++)
            {
                if(a[i].p >= a[x].p) uz += a[i].a * a[x].p / 100;
            }
            return uz;
        }
        struct fl
        {
            public long a;
            public double p;
        }
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            fl[] fl = new fl[n];
            for (long i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                fl[i].a = long.Parse(s[0]);
                fl[i].p = double.Parse(s[1]);
            }
            double maxz = 0;
            for (long i = 0; i < n; i++)
            {

                double uz = izracunajz(fl, i, n);
                if (uz > maxz) maxz = uz;
            }
            Console.WriteLine(maxz);
        }
    }
}